<?php
 /*
  $Id: customer_testimonials.php 10/17/2008 Exp $
  Released under the GNU General Public License
*/

  require('includes/application_top.php');

/*** Begin Scrolling Customer Testimonials v1.0 ***/
// Redirect user to login page if any of the following are true:
// 1) Admin has disabled Customer Testimonials mod; or 
// 2) only registered users permitted to view testimonials and user is not logged in

  if ( (TESTIMONIAL_ACTIVE != 'Yes') || ((TESTIMONIAL_REGISTERED_VIEW == "Registered Users Only") && (!tep_session_is_registered('customer_id'))) ) 
  {
  	    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
  }
/*** End Scrolling Customer Testimonials v1.0 ***/ 

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CUSTOMER_TESTIMONIALS);

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_CUSTOMER_TESTIMONIALS));
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<base href="<?php echo (getenv('HTTPS') == 'on' ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="3" cellpadding="3">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading" colspan="2"><?php echo HEADING_TITLE; ?></td>
          </tr>
        </table></td>
      </tr>
<!--      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr> //-->
      <tr>
        <td><br><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main">
            <?php
            if ($testimonial_id != '') {  // display a specific id testimonial 
                $testimonial_id = ct_sanitise($testimonial_id);
                $full_testimonial = tep_db_query("select * FROM " . TABLE_CUSTOMER_TESTIMONIALS . " WHERE testimonials_id = " . (int)$testimonial_id);
            }
            else {  // display all testimonials
/*** Begin Scrolling Customer Testimonials v1.1 ***/
				if (TESTIMONIAL_LANG_PREF == "User Language Only") {  // display only localized testimonials (to user)
                	$full_testimonial = tep_db_query("select * FROM " . TABLE_CUSTOMER_TESTIMONIALS . " WHERE status = '1' AND language_id = $languages_id order by rand()");					
				} else {  // display all testimonials for all languages
					$full_testimonial = tep_db_query("select * FROM " . TABLE_CUSTOMER_TESTIMONIALS . " WHERE status = '1' order by rand()");
				}
/*** End Scrolling Customer Testimonials v1.1 ***/
            }
            while ($testimonials = tep_db_fetch_array($full_testimonial)) {
                $testimonial_array[] = array('id' => $testimonials['testimonials_id'],
                                             'author' => $testimonials['testimonials_name'],
											 'location' => $testimonials['testimonials_location'],
											 'title' => $testimonials['testimonials_title'],
                                             'testimonial' => $testimonials['testimonials_html_text'],
                                             'word_count' => tep_word_count($testimonials['testimonials_html_text'], ' '),
                                             'image' => $testimonials['testimonial_image'],
											 'date_added' => $testimonials['date_added'],
                                             'email' => $testimonials['testimonials_email']);
                }
            require(DIR_WS_MODULES  . 'customer_testimonials.php');
            ?>
            </td>
          </tr>
        </table></td>
      </tr>
	   <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
	  <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>

<?php
/*** Begin Scrolling Customer Testimonials v1.0 ***/ 
// Check to see if user is allowed to write testimonials
// If not, do not display the button link to the write testimonials page
// Check 1) writing testimonials by customers is not disabled; and 
// 2) admin set registered users only and user not logged in; or
// 3) admin set all users may write testimonials
  if ((TESTIMONIAL_REGISTERED_WRITE != "Disabled") && ((TESTIMONIAL_REGISTERED_WRITE == "All Users") || ((TESTIMONIAL_REGISTERED_WRITE == "Registered Users Only") && (tep_session_is_registered('customer_id'))))) {
?>
				<td align="left"><?php echo '<a href="' . tep_href_link(FILENAME_CUSTOMER_TESTIMONIALS_WRITE) . '">' . tep_image_button('button_write_testimonial.gif', IMAGE_BUTTON_WRITE) . '</a>'; ?></td>
<?php
	}
/*** End Scrolling Customer Testimonials v1.0 ***/ 
?>

              <td align="right"><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . tep_image_button('button_continue.gif', IMAGE_BUTTON_CONTINUE) . '</a>'; ?></td>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
        </table></td>
      </tr>
    </table>
	</td>
      </tr>
    </table>
<!-- body_text_eof //-->
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- right_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_right.php'); ?>
<!-- right_navigation_eof //-->
    </table></td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->

</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php');
function ct_sanitise($vartosanitise) {
$vartosanitise = preg_replace("/[^0-9]/i", "", $vartosanitise);
return $vartosanitise;
}
?>