#
# Table structure for table `customer_testimonials` v1.1 Scrolling Customer Testimonials (Upgrade Version from Scrolling Customer Testimonials v1.0)
#
# by Richard Cranium
# 19 November 2009
#
#

# Added for CST v1.1
# Set Admin Language
DELETE IGNORE FROM configuration WHERE configuration_key='TESTIMONIAL_ADMIN_EMAIL';
INSERT INTO `configuration` ( `configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `date_added`, `set_function`, `use_function`) VALUES (NULL, 'Set Admin Language Default (used for email)', 'TESTIMONIAL_ADMIN_EMAIL', 'english', 'Set Admin default language directory. Currently, this is used only for notification emails from the CST module to admin. Enter the language directory name which you would like used to send you emails (e.g. english).<br>', '555', '22', NOW(), NULL, NULL);

# Display testimonials language preference
DELETE IGNORE FROM configuration WHERE configuration_key='TESTIMONIAL_LANG_PREF';
INSERT INTO `configuration` ( `configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `date_added`, `set_function`, `use_function`) VALUES (NULL, 'Testimonials langugage display setting', 'TESTIMONIAL_LANG_PREF', 'User Language Only', 'Define how Testimonials are viewed, based on viewer language. If your site has multiple languages, you can allow your users to view testimonials written in all languages or limit their viewing to their language only (e.g. English).<br>', '555', '23', NOW(), 'tep_cfg_select_option(array(\'User Language Only\', \'All Languages\'), ', NULL);

# Set Default Testimonial Language
DELETE IGNORE FROM configuration WHERE configuration_key='TESTIMONIAL_LANG_DEFAULT';
INSERT INTO `configuration` ( `configuration_id`, `configuration_title`, `configuration_key`, `configuration_value`, `configuration_description`, `configuration_group_id`, `sort_order`, `date_added`, `set_function`, `use_function`) VALUES (NULL, 'Testimonials Default Language (Viewers)', 'TESTIMONIAL_LANG_DEFAULT', 'english', 'Set Testimonials default language directory. Directory name of default language of user testimonial if language cannot be identified (e.g. english).<br>', '555', '24', NOW(), NULL, NULL);
