<?php
/*
  $Id: customer_testimonials.php 10/20/2008 Exp $
  Released under the GNU General Public License
  Modified by Bill Kellum 'bkellum' for Image Upload
  Modified by David G. 'Richard Cranium' for Scrolling Customer Testimonials v1.1
*/

/*** Begin Scrolling Customer Testimonials v1.0 ***/
// Redirect user to login page if Admin has disabled Customer Testimonials mod
// The user should not be able to get to this module in that state, but just in case
// We check for it to prevent problems 
  if (TESTIMONIAL_ACTIVE != 'Yes') {
  	    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
  }

// If captcha admin setting = on then start Captcha protection of testimonial author email address
if (TESTIMONIAL_CAPTCHA_EMAIL == 'Yes') {
// start modification for reCaptcha
  require_once('includes/classes/recaptchalib.php');
// end modification for reCaptcha
	}
/*** End Scrolling Customer Testimonials v1.0 ***/
?>

<table border="0" cellspacing="0" cellpadding="2" width="100%">
<?php
  if (sizeof($testimonial_array) == '0') {
?>
  <tr>
    <td class="main"><?php echo TEXT_NO_TESTIMONIALS; ?></td>
  </tr>
<?php
  } else {
    for($i=0; $i<sizeof($testimonial_array); $i++) {
?>
  <tr>
    <td valign="top">
    <?php

    if ($testimonial_id != '') {
      $testimonials_list = '<br><br><a href="'. tep_href_link(FILENAME_CUSTOMER_TESTIMONIALS, '', 'NONSSL'). '">'. '<b>' . TEXT_LINK_TESTIMONIALS. '</b>' . '</a>';
    }
    else {
      $testimonials_list = '';
    }
	
	if($testimonial_array[$i]['image']){
		$displayimage = tep_image(DIR_WS_IMAGES . 'testimonials/' . $testimonial_array[$i]['image'], $testimonial_array[$i]['title'], C_TESTI_W, '');
	}else{
		$displayimage = '';
	}

/*** Begin Scrolling Customer Testimonials v1.1 ***/
// Check if user may email author
	if (((TESTIMONIAL_EMAIL_AUTHOR == "Registered Users Only") && (tep_session_is_registered('customer_id'))) || (TESTIMONIAL_EMAIL_AUTHOR == "All Users")) {
// Now check to see if user must pass ReCaptcha test before viewing author email address
		if (TESTIMONIAL_CAPTCHA_EMAIL == 'No') { // No test required, so allow user to view author email address
/*** End Scrolling Customer Testimonials v1.1 ***/

// start modification for reCaptcha
    $info_box_contents = array();
    $email_prefix = TEXT_MAILTO;
	if (empty($testimonial_array[$i]['location'])) {
      $info_box_contents[][] = array('align' => 'left',
                                     'params' => 'class="smallText" width="100%" valign="top"',
                                     'text' => '
										 <table border="0" cellspacing="2" cellpadding="2" width="100%">
										  <tr>
											<td class="smallText">
											<b>' . TEXT_TESTIMONY_BY . '</b>' . $testimonial_array[$i]['author'] . '<b>' . '<br><br>' . TEXT_TESTIMONY_DATE_ADDED . '</b>' . tep_date_short($testimonial_array[$i]['date_added']) . '<br><br>' . '<b>' . TEXT_TESTIMONY_TITLE . '</b>' . $testimonial_array[$i]['title'] . '<br><br>' . $testimonial_array[$i]['testimonial'] . '<br><br>' . '<a target="_blank" href="'. $email_prefix . $testimonial_array[$i]['email'] . '">' . TEXT_EMAIL_AUTHOR . '</a>'. $testimonials_list . '</td>
											<td class="smallText">
											' . $displayimage . '
											</td>
										  </tr>
										</table>');
	} else {
      $info_box_contents[][] = array('align' => 'left',
                                     'params' => 'class="smallText" width="100%" valign="top"',
                                     'text' => '
									 	<table border="0" cellspacing="2" cellpadding="2" width="100%">
										  <tr>
											<td class="smallText">
											<b>' . TEXT_TESTIMONY_BY . '</b>' . $testimonial_array[$i]['author']. TEXT_TESTIMONY_OF . $testimonial_array[$i]['location'] . '<br><br>' . '<b>' . TEXT_TESTIMONY_DATE_ADDED . '</b>' . tep_date_short($testimonial_array[$i]['date_added']) . '<br><br>' . '<b>' . TEXT_TESTIMONY_TITLE . '</b>' . $testimonial_array[$i]['title'] . '<br><br>' . $testimonial_array[$i]['testimonial'] . '<br><br>' . '<a target="_blank" href="'. $email_prefix . $testimonial_array[$i]['email'] . '">' . TEXT_EMAIL_AUTHOR . '</a>'. $testimonials_list . '
											</td>
											<td class="smallText">
											' . $displayimage . '
											</td>
										  </tr>
										</table>');
    }

/*** Begin Scrolling Customer Testimonials v1.0 ***/
	} else  {  // Require user to pass ReCaptcha test before viewing author email address
    $info_box_contents = array();
	$recaptcha_email = 	recaptcha_mailhide_url (RECAPTCHA_MAILHIDE_PUBLIC_KEY, RECAPTCHA_MAILHIDE_PRIVATE_KEY, $testimonial_array[$i]['email']);

//    $email_prefix = TEXT_MAILTO;
	if (empty($testimonial_array[$i]['location'])) {
      $info_box_contents[][] = array('align' => 'left',
                                     'params' => 'class="smallText" width="100%" valign="top"',
                                     'text' => '<b>' . TEXT_TESTIMONY_BY . '</b>' . $testimonial_array[$i]['author'] . '<b>' . '<br><br>' . TEXT_TESTIMONY_DATE_ADDED . '</b>' . tep_date_short($testimonial_array[$i]['date_added']) . '<br><br>' . '<b>' . TEXT_TESTIMONY_TITLE . '</b>' . $testimonial_array[$i]['title'] . '<br><br>' . $testimonial_array[$i]['testimonial'] . '<br><br>' . '<a href="' . $recaptcha_email . '"' . 'onclick="window.open(\'' . $recaptcha_email . '\', \'\',\'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=500,height=300\');return false;" title="Reveal this e-mail address"' . '>' . TEXT_EMAIL_AUTHOR . '</a>'. $testimonials_list);
	} else {
      $info_box_contents[][] = array('align' => 'left',
                                     'params' => 'class="smallText" width="100%" valign="top"',
                                     'text' => '<b>' . TEXT_TESTIMONY_BY . '</b>' . $testimonial_array[$i]['author']. TEXT_TESTIMONY_OF . $testimonial_array[$i]['location'] . '<br><br>' . '<b>' . TEXT_TESTIMONY_DATE_ADDED . '</b>' . tep_date_short($testimonial_array[$i]['date_added']) . '<br><br>' . '<b>' . TEXT_TESTIMONY_TITLE . '</b>' . $testimonial_array[$i]['title'] . '<br><br>' . $testimonial_array[$i]['testimonial'] . '<br><br>' . '<a href="' . $recaptcha_email . '"' . 'onclick="window.open(\'' . $recaptcha_email . '\', \'\',\'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=500,height=300\');return false;" title="Reveal this e-mail address"' . '>' . TEXT_EMAIL_AUTHOR . '</a>'. $testimonials_list);
	    }
	}
// end modification for reCaptcha 
} else {
// Do not show author email under any circumstance
    $info_box_contents = array();
    $email_prefix = TEXT_MAILTO;
	if (empty($testimonial_array[$i]['location'])) {
      $info_box_contents[][] = array('align' => 'left',
                                     'params' => 'class="smallText" width="100%" valign="top"',
                                     'text' => '
										 <table border="0" cellspacing="2" cellpadding="2" width="100%">
										  <tr>
											<td class="smallText">
											<b>' . TEXT_TESTIMONY_BY . '</b>' . $testimonial_array[$i]['author'] . '<b>' . '<br><br>' . TEXT_TESTIMONY_DATE_ADDED . '</b>' . tep_date_short($testimonial_array[$i]['date_added']) . '<br><br>' . '<b>' . TEXT_TESTIMONY_TITLE . '</b>' . $testimonial_array[$i]['title'] . '<br><br>' . $testimonial_array[$i]['testimonial'] . '<br><br>' . $testimonials_list . '</td>
											<td class="smallText">
											' . $displayimage . '
											</td>
										  </tr>
										</table>');
	} else {
      $info_box_contents[][] = array('align' => 'left',
                                     'params' => 'class="smallText" width="100%" valign="top"',
                                     'text' => '
									 	<table border="0" cellspacing="2" cellpadding="2" width="100%">
										  <tr>
											<td class="smallText">
											<b>' . TEXT_TESTIMONY_BY . '</b>' . $testimonial_array[$i]['author']. TEXT_TESTIMONY_OF . $testimonial_array[$i]['location'] . '<br><br>' . '<b>' . TEXT_TESTIMONY_DATE_ADDED . '</b>' . tep_date_short($testimonial_array[$i]['date_added']) . '<br><br>' . '<b>' . TEXT_TESTIMONY_TITLE . '</b>' . $testimonial_array[$i]['title'] . '<br><br>' . $testimonial_array[$i]['testimonial'] . '<br><br>' .  $testimonials_list . '
											</td>
											<td class="smallText">
											' . $displayimage . '
											</td>
										  </tr>
										</table>');
		}
	}
/*** End Scrolling Customer Testimonials v1.0 ***/

    new contentBox($info_box_contents);
    ?>
    </td>
  </tr>
<?php
      if (($i+1) != sizeof($testimonial_array)) {
?>
  <tr>
    <td colspan="2" class="main">&nbsp;</td>
  </tr>
<?php
      }
    }
  }
?>
</table>
